Skip to content

Update an atomic creative

Request

Update an atomic creative by ID

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
atomic_creative_idintegerrequired

Numeric ID of the atomic creative to update

Query
extendedboolean

Get extended properties in response

Bodyapplication/json
namestring, [ 1 .. 256 ] characters
versioninteger, (int32)
Example:3
external_identifierstring or null, [ 1 .. 64 ] characters
widthinteger, (int32)
Example:80
heightinteger, (int32)
Example:90
concept_idinteger or null, (int32)
Example:33
statusboolean
archivedboolean
is_mraidboolean
is_httpsboolean
t1asboolean
start_datestring or null, (date-time)
end_datestring or null, (date-time)
vast_versionnumber or null, (float), [ 0 .. 9.9 ]
is_audioboolean or null
expansion_directionstring, <= 19 characters
Default:"NONRESTRICTED"
expansion_triggerstring
Default:"MOUSEOVER"
Enum:"AUTOMATIC""MOUSEOVER""CLICK"
media_typestring
Enum:"display""video""mobile"
ad_server_typestring
Enum:"ADOCADO""ATLAS""DART""DOUBLECLICK""EYEWONDER""FLASHTALKING""MEDIAFORGE""MEDIAMIND""MEDIAPLEX""OTHER"
ad_formatstring
Default:"DISPLAY"
Enum:"DISPLAY""MOBILE""EXPANDABLE""FBX""COMPONENT"
tpas_ad_tagstring
tpas_ad_tag_namestring, [ 1 .. 255 ] characters
click_through_urlstring or null, (uri), <= 2048 characters
click_urlstring or null, (uri), <= 10000 characters
edited_tagstring
tagstring or null
tag_typestring
Enum:"IFRAME_SCRIPT_NOSCRIPT""IFRAME_SCRIPT""IFRAME_NOSCRIPT""IFRAME_IMG""SCRIPT_NOSCRIPT""SCRIPT""NOSCRIPT""IFRAME""IMG""VIDEO"
vendor_idsArray of integers, (int32)
Example:
[ 3, 56 ]
POST
/atomic_creatives/{atomic_creative_id}
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/atomic_creatives/{atomic_creative_id}?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "version": 3,
    "external_identifier": "string",
    "width": 80,
    "height": 90,
    "concept_id": 33,
    "status": true,
    "archived": true,
    "is_mraid": true,
    "is_https": true,
    "t1as": true,
    "start_date": "2019-08-24T14:15:22Z",
    "end_date": "2019-08-24T14:15:22Z",
    "vast_version": 9.9,
    "is_audio": true,
    "expansion_direction": "NONRESTRICTED",
    "expansion_trigger": "AUTOMATIC",
    "media_type": "display",
    "ad_server_type": "ADOCADO",
    "ad_format": "DISPLAY",
    "tpas_ad_tag": "string",
    "tpas_ad_tag_name": "string",
    "click_through_url": "http://example.com",
    "click_url": "http://example.com",
    "edited_tag": "string",
    "tag": "string",
    "tag_type": "IFRAME_SCRIPT_NOSCRIPT",
    "vendor_ids": [
      3,
      56
    ]
  }'

Responses

Atomic creative response

Bodyapplication/json
dataatomic_creative_response (object) or atomic_creative_response_extended (object)
Any of:
metaobject(single_metadata)
Response
{ "data": { "id": 0, "version": 0, "entity_type": "string", "advertiser_id": 0, "concept_id": 0, "concept_name": "string", "name": "string", "width": 0, "height": 0, "creative_import_file_id": 0, "file_type": "string", "is_https": true, "is_multi_creative": true, "has_sound": true, "rich_media": true, "rich_media_provider": "string", "status": true, "archived": true, "built": true, "build_date": "string", "built_by_user_id": 0, "build_errors": "string", "created_on": "2019-08-24T14:15:22Z", "last_modified": "string", "external_identifier": "string", "tpas_ad_tag_name": "string", "updated_on": "2019-08-24T14:15:22Z", "expand": "string", "click_url": "string", "ad_format": "string", "expansion_direction": "NONRESTRICTED", "expansion_trigger": "AUTOMATIC", "ad_server_type": "string", "t1as": true, "tpas_ad_tag": "string", "edited_tag": "string", "click_through_url": "string", "rejected_reason": "string", "approval_status": "string", "start_date": "string", "end_date": "string", "media_type": "string", "is_mraid": true, "vast_version": 9.9, "sizmek_tag_status": "string", "sizmek_creative_status": "string", "last_payload_modified": "string", "is_audio": true, "tag": "string", "tag_type": "string" }, "meta": { "status": "success" } }